Package uk.co.mccombe.terrain

# Class SRTM2Reader

java.lang.Object
java.beans.PropertyChangeSupport
uk.co.mccombe.terrain.DEMReader
uk.co.mccombe.terrain.SRTM2Reader

All Implemented Interfaces:
  `Serializable`

public class SRTM2Reader extends DEMReader

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.co.mccombe.terrain.DEMReader

`DEMReader.CacheEntry`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`copyright`
`protected String`
`demURL`
`static final boolean`
`DOWNLOADABLE`
`protected static final String`
`EXTN`
`protected static final String`
`FILENAMEFORMAT`
`protected static final boolean`
`LITTLEENDIAN`
`protected static final int`
`MISSINGVALUE`
`protected static final String`
`NAME`
`protected static final int`
`RECORDLENGTH`
`protected static final String`
`SITENAME`

### Fields inherited from class uk.co.mccombe.terrain.DEMReader

`BUFFERLENGTH, cache, cacheEnable, cycle, DIRECTORY, hits, in, lastMessage, lastValue, LOCALE, MAX_CACHE_SIZE, missing, MISSING, resultcount, tries, useLegacy`

## Constructor Summary

Constructors
Constructor
Description
`SRTM2Reader(JComponent item)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`copyright()`
`String`
`datasetName()`
`boolean`
`downloadable()`
`protected String`
`eastWest(double val)`
`String`
`extn()`
`String`
`formatstring()`
`protected String`
`getDownloadSiteName()`
`boolean`
`littleendian()`
`double`
`maxLat()`
Maximum latitude of SRTM2 dataset Latitude must be less than 61.0
`double`
`minLat()`
Minimum latitude of SRTM2 dataset Latitude must be greater or equal to -56.0
`int`
`missingValue()`
`protected String`
`northSouth(double val)`
`int`
`recordlength()`
`protected void`
`setDownloadSiteName(String s)`
`String`
`zipEntryName(String name)`

### Methods inherited from class uk.co.mccombe.terrain.DEMReader

`downloadFile, frac, getHeight, getProperty, getPropertyChangeListeners, getRow, hits, lagrangian, makename, missing, numEntryName, readByteRecord, readRecord, resetCounts, resultcount, setMessage, setProgress, tile, tries`

### Methods inherited from class java.beans.PropertyChangeSupport

`addPropertyChangeListener, addPropertyChangeListener, fireIndexedPropertyChange, fireIndexedPropertyChange, fireIndexedPropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getPropertyChangeListeners, hasListeners, removePropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### demURL

protected String demURL

### SITENAME

protected static final String SITENAME

See Also:
  - Constant Field Values

### DOWNLOADABLE

public static final boolean DOWNLOADABLE

See Also:
  - Constant Field Values

### RECORDLENGTH

protected static final int RECORDLENGTH

See Also:
  - Constant Field Values

### FILENAMEFORMAT

protected static final String FILENAMEFORMAT

See Also:
  - Constant Field Values

### NAME

protected static final String NAME

See Also:
  - Constant Field Values

### EXTN

protected static final String EXTN

See Also:
  - Constant Field Values

### LITTLEENDIAN

protected static final boolean LITTLEENDIAN

See Also:
  - Constant Field Values

### MISSINGVALUE

protected static final int MISSINGVALUE

See Also:
  - Constant Field Values

### copyright

protected String[] copyright

## Constructor Details

### SRTM2Reader

public SRTM2Reader(JComponent item) throws MissingDataFileException, DataFileException

Throws:
  `MissingDataFileException`
  `DataFileException`

## Method Details

### datasetName

public String datasetName()

Specified by:
  `datasetName` in class `DEMReader`

### downloadable

public boolean downloadable()

Specified by:
  `downloadable` in class `DEMReader`

### recordlength

public int recordlength()

Specified by:
  `recordlength` in class `DEMReader`

### formatstring

public String formatstring()

Specified by:
  `formatstring` in class `DEMReader`

### extn

public String extn()

Specified by:
  `extn` in class `DEMReader`

### littleendian

public boolean littleendian()

Specified by:
  `littleendian` in class `DEMReader`

### missingValue

public int missingValue()

Specified by:
  `missingValue` in class `DEMReader`

### zipEntryName

public String zipEntryName(String name)

Overrides:
  `zipEntryName` in class `DEMReader`

### copyright

public String[] copyright()

Specified by:
  `copyright` in class `DEMReader`

### getDownloadSiteName

protected String getDownloadSiteName()

Specified by:
  `getDownloadSiteName` in class `DEMReader`

### eastWest

protected String eastWest(double val)

Specified by:
  `eastWest` in class `DEMReader`

### northSouth

protected String northSouth(double val)

Specified by:
  `northSouth` in class `DEMReader`

### setDownloadSiteName

protected void setDownloadSiteName(String s)

Specified by:
  `setDownloadSiteName` in class `DEMReader`

### maxLat

public double maxLat()
Maximum latitude of SRTM2 dataset Latitude must be less than 61.0

Specified by:
  `maxLat` in class `DEMReader`
Returns:
  double 61.0

### minLat

public double minLat()
Minimum latitude of SRTM2 dataset Latitude must be greater or equal to -56.0

Specified by:
  `minLat` in class `DEMReader`
Returns:
  double -56.0